<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="utility" uri="http://www.jahia.org/tags/utilityLib" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="query" uri="http://www.jahia.org/tags/queryLib" %>
<%@ taglib prefix="formfactory" uri="http://www.jahia.org/formfactory/functions" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="flowRequestContext" type="org.springframework.webflow.execution.RequestContext"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>
<template:addResources type="css" resources="jasny-bootstrap.fileinput.css"/>
<template:addResources type="css" resources="lib/font-awesome/css/font-awesome.css"/>
<template:addResources type="css" resources="side-panel.css"/>
<template:addResources type="css" resources="toggle.css"/>
<template:addResources type="css" resources="progressBar.css"/>
<template:addResources type="css" resources="editInPlace.css"/>
<template:addResources type="css" resources="builder.css"/>
<template:addResources type="css" resources="layout.css"/>
<template:addResources type="css" resources="spinner.css"/>
<template:addResources type="javascript" resources="i18n/form-factory-core-i18n_${renderContext.UILocale.language}.js" var="i18nJSFile"/>
<c:if test="${empty i18nJSFile}">
    <template:addResources type="javascript" resources="i18n/form-factory-core-i18n.js"/>
</c:if>

<template:addResources type="javascript" resources="lib/jasny-bootstrap.fileinput.js"/>
<template:addResources type="javascript" resources="lib/checklist-model.js"/>
<template:addResources type="javascript" resources="angular/components/i18n.js"/>
<template:addResources type="javascript" resources="lib/_ff-builder.min.js"/>
<formfactory:jsResources builderMode="true"/>

<c:set var="formFactoryNodes" value="${jcr:getChildrenOfType(renderContext.site, 'fcnt:formFactory')}"/>
<c:if test="${(not empty formFactoryNodes) and jcr:isNodeType(formFactoryNodes[0], 'fcmix:captcha')}">
    <c:set var="hasCaptcha" value="true"/>
</c:if>

<div ui-view id="builder_${currentNode.identifier}"></div>

<script>
    (function() {
        var contextualData = {};
        contextualData.supportedLocales = {en:'English',fr:'French',it:'Italian',da:'Dutch',es:'Spanish',pt:'Portuguese'};
        contextualData.siteIdentifier = '${renderContext.site.identifier}';
        contextualData.context = '${url.context}';
        contextualData.locale = '${renderContext.UILocale.language}';
        contextualData.language = '${renderContext.mainResourceLocale}';
        contextualData.urlBaseSiteSettingsTemplates = '${url.context}${url.basePreview}${url.currentModule}/${script.view.moduleVersion}/templates/site-settings-base/formFactory/formFactoryBuilder/pagecontent/formFactoryBuilder.';
        contextualData.urlLogicsBase = '${url.context}${url.basePreview}${url.currentModule}/${script.view.moduleVersion}/templates/contents/form-factory-logics/';
        contextualData.urlSiteBase = '${url.context}${url.basePreview}${renderContext.site.path}';
        contextualData.urlBase = '${url.context}${url.basePreview}';
        contextualData.sitePath = '${renderContext.site.path}';
        contextualData.selectedId = '${renderContext.site.identifier}';
        contextualData.hasCaptcha = '${hasCaptcha}' == 'true' ? true : false;
        contextualData.pageQuery = '<c:url value="/modules/api/jcr/v1/default/${currentResource.locale}/query?noLinks"/>';

        angular.module('formFactory').constant('contextualData', contextualData);
        angular.element(document).ready(function () {
            moment.locale('${renderContext.UILocale.language}');
            angular.bootstrap(document.getElementById('builder_${currentNode.identifier}'), ['formFactory']);
        });
    })();
</script>