<%@ page contentType="text/javascript" %>
        /**
         * Verifies if the view value is equal to the model value
         * Receives the rule definition and its scope.
         * scope.$parent will contain the form to enable watch and access to other fields in the same step
         * ctrls will be an array of controllers, first the ffFormController and then the ngModel of the associated input
         *
         * @param {object} rule current rule definition
         * @param {object} scope current input scope
         * @param {object} el current html element
         * @param {array} attr attributes of the html element
         * @param {array} ctrls ctrls[0] = FFFormController ctrls[1]=ngModel
         */

        ff.validationRules.equalTo = function (rule, scope, el, attr, ctrls) {
            'use strict';
            var model          = ctrls[1];
            var formController = ctrls[0].getFormController();

            scope.$watch(function (scope) {
                var input = formController[rule.equaltofieldid];
                if (input === undefined) {
                    return undefined;
                }
                return scope.form[rule.equaltofieldid].$modelValue;
            }, function (newValue, oldValue) {
                if (model.ffVisible) {
                    model.$validate();
                }
            });
            <%--
                scope.$watch(function() {return scope.form[rule.equaltofieldid].$valid;},function() {
                    model.$validate();
                });--%>

            return function (modelValue, viewValue) {
                var input = formController[rule.equaltofieldid];
                if (input !== undefined) {
                    if (model.$isEmpty(input.$modelValue) && model.$isEmpty(viewValue)) {
                        return true;
                    }
                    if (input.$dirty) {
                        //If input does not allow invalid models then we want to set its model to an empty string.
                        if (angular.isUndefined(viewValue)) {
                            model.$setViewValue('');
                            return false;
                        }
                        return !model.$isEmpty(viewValue) && input.$modelValue === viewValue;
                    } else {
                        return model.$isEmpty(viewValue);
                    }
                } else {
                    return true;
                }
            };
        };