<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<!-- File upload -->
<div class="form-group"
     ng-class="{'has-error': form[input.name].$invalid&&form[input.name].$dirty}"
     ng-show="resolveLogic()">
    <label class="col-sm-2 control-label">
        {{input.label}}
        <span ng-if="isRequired()"
              ng-show="form.$dirty">
            <sup>&nbsp;<i class="fa fa-asterisk fa-sm"></i></sup>
        </span>
    </label>

    <div class="col-sm-10">
        <div ng-if="!readOnly"
             class="fileinput fileinput-new"
             data-provides="fileinput">
            <span class="btn btn-default btn-file">
                <span class="fileinput-new" ng-model="input.value" ff-file-input-display><fmt:message key="fcnt_fileUploadDefinition.selectFile"/></span>
                <span class="fileinput-exists" ng-model="input.value" ff-file-input-display><fmt:message key="fcnt_fileUploadDefinition.change"/></span>
                <input type="file"
                       placeholder="{{input.placeholder}}"
                       class="form-control {{input.inputsize}}"
                       name="{{input.name}}"
                       ng-model="input.value"
                       ng-required="isRequired()"
                       ff-validations
                       ff-logic ff-file-input>
            </span>
            <span class="fileinput-filename" ng-model="input.value" ff-file-input-display></span>
            <span class="help-block"
                  ng-show="input.helptext != undefined">
                {{input.helptext}}
            </span>
            <span class="help-block"
                  ng-repeat="(validationName, validation) in input.validations"
                  ng-show="form[input.name].$error[(validationName | normalize)]&&form[input.name].$dirty">
                    {{validation.message}}
            </span>
        </div>
        <div ng-if="readOnly">
            <button class="btn btn-default btn-file"
                    ng-disabled="true">
                <fmt:message key="fcnt_fileUploadDefinition.selectFile"/>
            </button>
            <span class="help-block"
                  ng-show="input.helptext != undefined">
                {{input.helptext}}
            </span>
        </div>
    </div>
    <div class="clearfix"/>
</div>
