<%@ page contentType="text/javascript" %>
<%@ taglib prefix="formfactory" uri="http://www.jahia.org/formfactory/functions" %>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>

(function(){
    var fileValidation = function($log, ffTemplateResolver) {
        var directive = {
            restrict   : 'E',
            require    : ['^ffController'],
            templateUrl: function(el, attrs) {
                return ffTemplateResolver.resolveTemplatePath('${formfactory:addFormFactoryModulePath('/form-factory-validations/file', renderContext)}', attrs.viewType);
            },
            link       : linkFunc
        };
        return directive;

        function linkFunc(scope, el, attr, ctrl) {
            //Create object to house the variables used within this directive.
            scope.fileValidation = {};

            scope.fileValidation.selectedFile           = [];
            scope.fileValidation.selectedUnitType       = null;

            //initialize filetype select with previously selected value (if exists)
            var setDefaultFileType = true;
            _.each(scope.input.validations[scope.validationName].filetype, function(type, index) {
                if (type.selected) {
                    scope.fileValidation.selectedFile.push(type.value);
                    setDefaultFileType = false;
                }
            });
            //If there is no previously selected file type, set first option as default
            if (setDefaultFileType) {
                scope.fileValidation.selectedFile.push(scope.input.validations[scope.validationName].filetype[0].value);
                scope.input.validations[scope.validationName].filetype[0].selected = true;
            }

            var fileUnitTypeSelected = false;
            //This is done in order to be compatible with previously stored values before Form Factory 2.0
            if (_.isString(scope.input.validations[scope.validationName].filesize)) {
                for (var i in scope.input.validations[scope.validationName].unittype) {
                    //if a unit type is stored in the filesize, we remove it and set it in the unittype property of the validation
                    if (scope.input.validations[scope.validationName].filesize.toLowerCase().indexOf(scope.input.validations[scope.validationName].unittype[i].value) > -1) {
                        scope.input.validations[scope.validationName].filesize             = scope.input.validations[scope.validationName].filesize.toLowerCase().replace(scope.input.validations[scope.validationName].unittype[i].value, '');
                        scope.input.validations[scope.validationName].unittype[i].selected = true;
                        scope.fileValidation.selectedUnitType                                                  = scope.input.validations[scope.validationName].unittype[i].value;
                        fileUnitTypeSelected                                                     = true;
                        break;
                    }
                }
            } else if (_.isNumber(scope.input.validations[scope.validationName].filesize)) {
                //if there is no unittype associated with the filesize, we'll default the value to KBs
                //previously this representation was stored as BYTES, which is no longer supported.
                scope.input.validations[scope.validationName].filesize = scope.input.validations[scope.validationName].filesize / 1000 < 1 ? 1 : scope.input.validations[scope.validationName].filesize / 1000;
                //set unit type to KB
                scope.input.validations[scope.validationName].unittype[0].selected = true;
                scope.fileValidation.selectedUnitType                                                  = scope.input.validations[scope.validationName].unittype[0].value;
                fileUnitTypeSelected                                                     = true;
            }
            if (!fileUnitTypeSelected) {
                //Initialize the select for unittype based on the stored unittype
                for (var i in scope.input.validations[scope.validationName].unittype) {
                    if (scope.input.validations[scope.validationName].unittype[i].selected) {
                        scope.fileValidation.selectedUnitType = scope.input.validations[scope.validationName].unittype[i].value;
                        fileUnitTypeSelected    = true;
                        break;
                    }
                }
                //if this is a new validation, select KBs as the default unittype
                if (!fileUnitTypeSelected) {
                    scope.input.validations[scope.validationName].unittype[i].selected[0];
                    scope.fileValidation.selectedUnitType = scope.input.validations[scope.validationName].unittype[0].value;
                }
            }

            /**
             * Updates the currently selected filetype for the fileupload validation
             * @function
             */
            scope.updateSelectedFileType = function(prevSelectedFiles) {
                for (var i in scope.input.validations[scope.validationName].filetype) {
                    scope.input.validations[scope.validationName].filetype[i].selected = scope.fileValidation.selectedFile.indexOf(scope.input.validations[scope.validationName].filetype[i].value) !== -1;
                }
            };

            /**
             * Updates the currently selected unittype for the fileupload validation
             * @function
             */
            scope.updateSelectedUnitType = function() {
                _.each(scope.input.validations[scope.validationName].unittype, function(type, index) {
                    if (type.value === scope.fileValidation.selectedUnitType) {
                        scope.input.validations[scope.validationName].unittype[index].selected = true;
                    } else {
                        scope.input.validations[scope.validationName].unittype[index].selected = false;
                    }
                });
            };
        }
    };

    angular
            .module('formFactory')
            .directive('ffFileWizard', ['$log', 'ffTemplateResolver', fileValidation]);
})();