<%@ taglib prefix="jcr" uri="http://www.jahia.org/tags/jcr" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="utility" uri="http://www.jahia.org/tags/utilityLib" %>
<%@ taglib prefix="template" uri="http://www.jahia.org/tags/templateLib" %>
<%@ taglib prefix="functions" uri="http://www.jahia.org/tags/functions" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>
<%@ taglib prefix="query" uri="http://www.jahia.org/tags/queryLib" %>
<%@ taglib prefix="formfactory" uri="http://www.jahia.org/formfactory/functions" %>
<%--@elvariable id="currentNode" type="org.jahia.services.content.JCRNodeWrapper"--%>
<%--@elvariable id="currentResource" type="org.jahia.services.render.Resource"--%>
<%--@elvariable id="flowRequestContext" type="org.springframework.webflow.execution.RequestContext"--%>
<%--@elvariable id="out" type="java.io.PrintWriter"--%>
<%--@elvariable id="renderContext" type="org.jahia.services.render.RenderContext"--%>
<%--@elvariable id="script" type="org.jahia.services.render.scripting.Script"--%>
<%--@elvariable id="scriptInfo" type="java.lang.String"--%>
<%--@elvariable id="url" type="org.jahia.services.render.URLGenerator"--%>
<%--@elvariable id="workspace" type="java.lang.String"--%>


<%--<template:addResources type="css" resources="lib/_ff2.css"/>--%>
<template:addResources type="css" resources="lib/_ff2Live.css"/>
<template:addResources type="css" resources="jasny-bootstrap.fileinput.css"/>
<template:addResources type="css" resources="lib/font-awesome/css/font-awesome.css"/>
<template:addResources type="css" resources="progressBar.css"/>
<template:addResources type="css" resources="toggle.css"/>
<template:addResources type="css" resources="live.css"/>

<template:addResources type="javascript" resources="i18n/form-factory-core-i18n_${currentResource.locale}.js"
                       var="i18nJSFile"/>
<c:if test="${empty i18nJSFile}">
    <template:addResources type="javascript" resources="i18n/form-factory-core-i18n.js"/>
</c:if>

<template:addResources type="javascript" resources="lib/_ff2Live.min.js" title="_ff2Live.min.js"/>
<template:addResources type="javascript" resources="lib/jasny-bootstrap.fileinput.js"/>
<template:addResources type="javascript" resources="angular/components/i18n.js"/>
<template:addResources type="javascript" resources="lib/_ff-rendering.min.js" title="_ff-rendering.min.js"/>
<formfactory:jsResources/>
<c:set var="identifier" value="${currentNode.identifier}"/>
<c:if test="${not empty currentResource.moduleParams.displayIdentifier}">
    <c:set var="identifier" value="${identifier}_${currentResource.moduleParams.displayIdentifier}"/>
</c:if>

<c:set var="formFactoryNodes" value="${jcr:getChildrenOfType(renderContext.site, 'fcnt:formFactory')}"/>
<template:addCacheDependency node="${formFactoryNodes[0]}"/>
<c:if test="${(not empty formFactoryNodes) and jcr:isNodeType(formFactoryNodes[0], 'fcmix:captcha')}">
    <c:set var="captchaApiKey" value="${formFactoryNodes[0].properties['captchaApiKey'].string}"/>
</c:if>

<c:set var="userName" value="${renderContext.user.name}"/>

<%--Load captcha script if need be--%>
<c:if test="${not empty captchaApiKey and userName == 'guest' and empty reCaptchaAlreadyIncluded and currentNode.properties['displayCaptcha'].string == 'true'}">
    <script src="//www.google.com/recaptcha/api.js?render=explicit&onload=vcRecaptchaApiLoaded" async defer></script>
    <c:set var="reCaptchaAlreadyIncluded" scope="request" value="true"/>
</c:if>


<div id="formFactory${identifier}">
    <ff-controller view-type="${currentNode.properties['theme'].string}" id="'${identifier}'" data-locale="'${currentNode.resolveSite.language}'" data-show-form-title="${currentResource.moduleParams.showFormTitle}"></ff-controller>
</div>

<c:if test="${jcr:isNodeType(currentNode, 'fcmix:formTheme')}">
    <template:include view="${currentNode.properties['theme'].string}" templateType="html"/>
</c:if>

<script>
    (function () {
        var contextualData = {};
        contextualData.context = '${url.context}';
        <c:choose>
        <c:when test="${renderContext.workspace eq 'default'}">
        contextualData.urlBase = '${url.context}${url.basePreview}';
        </c:when>
        <c:otherwise>
        contextualData.urlBase = '${url.context}${url.baseLive}';
        </c:otherwise>
        </c:choose>
        contextualData.server = '${url.server}';
        <c:choose>
        <c:when test="${not empty renderContext.request.parameterMap['isPreviewMode']}">
        contextualData.isPreviewMode = '${renderContext.request.parameterMap['isPreviewMode'][0]}';
        </c:when>
        <c:when test="${renderContext.workspace eq 'default'}">
        contextualData.isPreviewMode = 'true';
        </c:when>
        <c:otherwise>
        contextualData.isPreviewMode = '';
        </c:otherwise>
        </c:choose>
        <c:if test="${not empty captchaApiKey and userName == 'guest'}" >
        contextualData.captchaApiKey = '${captchaApiKey}';
        </c:if>
        <c:if test="${not empty currentResource.moduleParams.cssClassName}" >
            contextualData.cssClassName = '${currentResource.moduleParams.cssClassName}';
        </c:if>
        <c:choose>
            <c:when test="${renderContext.editMode}">
                setTimeout(function () {
                    angular.module('formFactory').constant('contextualData', contextualData);
                    angular.element(document).ready(function () {
                        angular.bootstrap(document.getElementById('formFactory${identifier}'), ['formFactory']);
                    });
                }, 1000);
            </c:when>
            <c:otherwise>
                angular.module('formFactory').constant('contextualData', contextualData);
                angular.element(document).ready(function () {
                    angular.bootstrap(document.getElementById('formFactory${identifier}'), ['formFactory']);
                });
            </c:otherwise>
        </c:choose>
    })();
</script>
