<%@ page contentType="text/javascript" %>
/**
 * Each rule will received, the rule definition, its scope.
 * scope.form will contain the form to enable watch and access to other fields in the same step
 * ctrls will be an array of controllers, first the ffFormController and then the ngModel of the associated input.
 *
 * @param {object} rule current rule definition
 * @param {object} scope current input scope
 * @param {object} el current html element
 * @param {array} attr attributes of the html element
 * @param {array} ctrls ctrls[0] = FFFormController ctrls[1]=ngModel
 */
ff.logicRules.ifCheckboxIs = function(rule, scope, el, attr, ctrls) {
    'use strict';
    var formController = ctrls[0];
    var model = ctrls[1];
    return function (scope) {
        var searchedInputValue        = formController.getPreviousStepInputValue(rule.fieldName);
        var searchedInputValueCurrent = formController.getCurrentStepInputValue(rule.fieldName);
        if (!_.isUndefined(searchedInputValue)) {
            searchedInputValue = searchedInputValue.value;
        }
        if (!_.isUndefined(searchedInputValueCurrent)) {
            searchedInputValueCurrent = searchedInputValueCurrent.value;
        }
        if (_.isUndefined(searchedInputValue) && !_.isUndefined(scope.form[rule.fieldName])) {
            var result = false;
            _.each(rule.requiredValue, function (value) {
                _.each(searchedInputValueCurrent, function (currentValue) {
                    if (value === currentValue) {
                        result = true;
                    }
                });
            });
            return result;

        } else if (!_.isUndefined(searchedInputValue)) {
            return !_.isUndefined(_.find(rule.requiredValue, function (value) {
                var result = false;
                for (var v in searchedInputValue) {
                    if (searchedInputValue[v] === value) {
                        result = true;
                    }
                }
                return result;
            }));
        }
    }
};