<%@ page contentType="text/javascript" %>
/**
 * Each rule will received, the rule definition, its scope.
 * scope.form will contain the form to enable watch and access to other fields in the same step
 * ctrls will be an array of controllers, first the ffFormController and then the ngModel of the associated input.
 *
 * @param {object} rule current rule definition
 * @param {object} scope current input scope
 * @param {object} el current html element
 * @param {array} attr attributes of the html element
 * @param {array} ctrls ctrls[0] = FFFormController ctrls[1]=ngModel
 */
ff.logicRules.ifDateIsBefore = function(rule, scope, el, attr, ctrls) {
    'use strict';
    var dateBefore = moment(rule.requiredValue);
    var formController = ctrls[0].getFormController();
    var fieldName = rule.fieldName;
    return function (scope, fieldValue) {
        if (!_.isUndefined(formController[fieldName]) && formController[fieldName].$error['invalidDate_' +  fieldName]) {
            return false;
        }
        var date = (moment.isMoment(fieldValue)?fieldValue:moment(fieldValue));
        return (!_.isUndefined(fieldValue) && date.isBefore(dateBefore, 'day'));
    }
};