<%@ page contentType="text/javascript" %>
/**
 * Each rule will received, the rule definition, its scope.
 * scope.form will contain the form to enable watch and access to other fields in the same step
 * ctrls will be an array of controllers, first the ffFormController and then the ngModel of the associated input.
 *
 * @param {object} rule current rule definition
 * @param {object} scope current input scope
 * @param {object} el current html element
 * @param {array} attr attributes of the html element
 * @param {array} ctrls ctrls[0] = FFFormController ctrls[1]=ngModel
 */
ff.logicRules.ifFieldIsValid = function(rule, scope, el, attr, ctrls) {
    'use strict';
    var model = ctrls[1];
    var ffFormController = ctrls[0];
    var searchedInputValue = ffFormController.getPreviousStepInputValue(rule.fieldName);
    return function(scope,fieldValue) {
        if (_.isUndefined(searchedInputValue) && !_.isUndefined(scope.form[rule.fieldName])) {
                        return scope.form[rule.fieldName].$valid
                                && scope.form[rule.fieldName].ffVisible
                                && scope.form[rule.fieldName].$dirty;
        } else if (!_.isUndefined(searchedInputValue)) {
            //we have a valid result from a previous step.
            return (searchedInputValue != null);
        }
    }
};