<%@ page contentType="text/javascript" %>
        /**
         * Each rule will received, the rule definition, its scope.
         * scope.form will contain the form to enable watch and access to other fields in the same step
         * ctrls will be an array of controllers, first the ffFormController and then the ngModel of the associated input.
         *
         * @param {object} rule current rule definition
         * @param {object} scope current input scope
         * @param {object} el current html element
         * @param {array} attr attributes of the html element
         * @param {array} ctrls ctrls[0] = FFFormController ctrls[1]=ngModel
         */
        ff.logicRules.ifRadioIsOneOfTheFollowing = function (rule, scope, el, attr, ctrls) {
            'use strict';
            var requiredValue = rule.requiredValue;
            return function (scope, fieldValue) {
                if (_.isUndefined(fieldValue) || _.isEmpty(fieldValue)) {
                    return false;
                }
                var result = false;
                _.each(requiredValue, function (value) {
                    if (fieldValue === value) {
                        result = true;
                    }
                });
                return result;
            }
        };