<%@ page contentType="text/javascript" %>
/**
 * Validates that the viewValue has at least one selection.
 * Receives the rule definition and its scope.
 * scope.$parent will contain the form to enable watch and access to other fields in the same step
 * ctrls will be an array of controllers, first the ffFormController and then the ngModel of the associated input
 *
 * @param {object} rule current rule definition
 * @param {object} scope current input scope
 * @param {object} el current html element
 * @param {array} attr attributes of the html element
 * @param {array} ctrls ctrls[0] = FFFormController ctrls[1]=ngModel
 */
ff.validationRules.matrixRequired = function(rule, scope, el, attr, ctrls) {
    'use strict';

    return function (modelValue, viewValue) {

        var isValid = false;
        _.each(viewValue, function(arrayOfValues, key) {
            //Ignore the rendererName property that is in the values array.
            if (key !== 'rendererName' && !_.isEmpty(arrayOfValues)) {
                isValid = true;
            }
        });

        return isValid;
    };
};