/**
 * This slider can be used with multiple range handles.
 *
 * It is necessary to move handle manipulations to the parent controller if we want to have multiple
 * handles.
 */
var ComplexSlider = {
	ffComplexSliderDirective: function ($log) {
		var directive = {
			restrict: 'E',
			templateUrl: '/modules/form-factory-core/javascript/angular/templates/complexSliderDefinition.html',
			controller: ComplexSlider.ffComplexSliderController,
			controllerAs: 'sc',
			bindToController: true
		};
		return directive;
	},
	ffComplexSliderController: function ($scope, $log) {
		var sc = this;

		sc.range = $scope.input.range;
		sc.step = $scope.input.step;
		sc.handleIds = $scope.input.handles;
		sc.handles = [];
		sc.currentHandle = 0;
		sc.handleMove = handleMove;
		sc.registerHandle = registerHandle;

		function handleMove($event) {
			$log.info("Handling move");
		}

		function registerHandle(handleIndex) {
			sc.currentHandle = handleIndex;
		}
	},
	ffComplexSliderHandleDirective : function($log) {
		var directive = {
			restrict: 'A',
			link: {
				pre: preLinkFunction
			},
			controller: ComplexSlider.HandleController
		};

		return directive;

		function preLinkFunction(scope, el, attr) {
			var elem = scope.sc.handles[attr.ffComplexSliderHandle] = {};
			elem.element = el;
			$log.info(scope);
		}
	},
	HandleController : function($scope, $log) {

	}
};

ComplexSlider.ffComplexSliderController.$inject = ['$scope', '$log'];
ComplexSlider.HandleController.$inject = ['$scope', '$log'];

angular.module('formFactory')
	.directive('ffComplexSlider', ['$log', ComplexSlider.ffComplexSliderDirective])
	.directive('ffComplexSliderHandle', ['$log', ComplexSlider.ffComplexSliderHandleDirective]);
